using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using BRServer.IDAL;

namespace BRServer.BLL
{
    public class Alarm
    {
        private static Alarm alarm;

        private Alarm()
        {
        }

        public static Alarm getInstance()
        {
            if (alarm == null)
            {
                alarm = new Alarm();
            }
            return alarm;
        }

        /// <summary>
        /// A method to insert a new Adapter
        /// </summary>
        /// <param name="djs">An adapter entity with information about the new adapter</param>
        public void insert(Model.Alarm alarm)
        {
            if (alarm == null || alarm.MESSAGE == null || alarm.MESSAGE == "")
            {
                return;
            }

            IAlarm dal = DALFactory.Alarm.Create();
            dal.insert(alarm);  
        }

        ///**
        // *sequeceName:需要更新的序列名称
        // *key:主键字段名称
        // *tableName:表名称
        // */
        //public void updateSequence(String sequeceName)
        //{
        //    IBRCJ dal = DALFactory.BR.Create();
        //    dal.updateSequence(sequeceName);
        //}

    }
}
